org.apache.calcite.avatica.proto

## Class Requests.ExecuteRequest

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessageV3
      - - org.apache.calcite.avatica.proto.Requests.ExecuteRequest

All Implemented Interfaces:
  com.google.protobuf.Message, com.google.protobuf.MessageLite, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Serializable, Requests.ExecuteRequestOrBuilder

Enclosing class:
  Requests

    public static final class Requests.ExecuteRequest
    extends com.google.protobuf.GeneratedMessageV3
    implements Requests.ExecuteRequestOrBuilder

     Request for Meta#execute(Meta.ConnectionHandle, list, long)

Protobuf type `ExecuteRequest`

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `Requests.ExecuteRequest.Builder` Request for Meta#execute(Meta.ConnectionHandle, list, long)

### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`

### Field Summary

Fields
`private int` `bitField0_`
`private static Requests.ExecuteRequest` `DEFAULT_INSTANCE`
`static int` `FIRST_FRAME_MAX_SIZE_FIELD_NUMBER`
`private long` `firstFrameMaxSize_`
`static int` `HAS_PARAMETER_VALUES_FIELD_NUMBER`
`private boolean` `hasParameterValues_`
`private byte` `memoizedIsInitialized`
`static int` `PARAMETER_VALUES_FIELD_NUMBER`
`private List<Common.TypedValue>` `parameterValues_`
`private static com.google.protobuf.Parser<Requests.ExecuteRequest>` `PARSER`
`private static long` `serialVersionUID`
`private Common.StatementHandle` `statementHandle_`
`static int` `STATEMENTHANDLE_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

### Constructor Summary

Constructors
`private` `Requests.ExecuteRequest()`
`private` `Requests.ExecuteRequest(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`private` `Requests.ExecuteRequest(com.google.protobuf.GeneratedMessageV3.Builder<?> builder)`

### Method Summary

Methods
`boolean` `equals(Object obj)`
`static Requests.ExecuteRequest` `getDefaultInstance()`
`Requests.ExecuteRequest` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`long` `getFirstFrameMaxSize()` The maximum number of rows to return in the first Frame
`boolean` `getHasParameterValues()` `optional bool has_parameter_values = 4;`
`Common.TypedValue` `getParameterValues(int index)` `repeated .TypedValue parameter_values = 2;`
`int` `getParameterValuesCount()` `repeated .TypedValue parameter_values = 2;`
`List<Common.TypedValue>` `getParameterValuesList()` `repeated .TypedValue parameter_values = 2;`
`Common.TypedValueOrBuilder` `getParameterValuesOrBuilder(int index)` `repeated .TypedValue parameter_values = 2;`
`List<? extends Common.TypedValueOrBuilder>` `getParameterValuesOrBuilderList()` `repeated .TypedValue parameter_values = 2;`
`com.google.protobuf.Parser<Requests.ExecuteRequest>` `getParserForType()`
`int` `getSerializedSize()`
`Common.StatementHandle` `getStatementHandle()` `optional .StatementHandle statementHandle = 1;`
`Common.StatementHandleOrBuilder` `getStatementHandleOrBuilder()` `optional .StatementHandle statementHandle = 1;`
`com.google.protobuf.UnknownFieldSet` `getUnknownFields()`
`int` `hashCode()`
`boolean` `hasStatementHandle()` `optional .StatementHandle statementHandle = 1;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`static Requests.ExecuteRequest.Builder` `newBuilder()`
`static Requests.ExecuteRequest.Builder` `newBuilder(Requests.ExecuteRequest prototype)`
`Requests.ExecuteRequest.Builder` `newBuilderForType()`
`protected Requests.ExecuteRequest.Builder` `newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
`static Requests.ExecuteRequest` `parseDelimitedFrom(InputStream input)`
`static Requests.ExecuteRequest` `parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Requests.ExecuteRequest` `parseFrom(byte[] data)`
`static Requests.ExecuteRequest` `parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Requests.ExecuteRequest` `parseFrom(com.google.protobuf.ByteString data)`
`static Requests.ExecuteRequest` `parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Requests.ExecuteRequest` `parseFrom(com.google.protobuf.CodedInputStream input)`
`static Requests.ExecuteRequest` `parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Requests.ExecuteRequest` `parseFrom(InputStream input)`
`static Requests.ExecuteRequest` `parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<Requests.ExecuteRequest>` `parser()`
`Requests.ExecuteRequest.Builder` `toBuilder()`
`void` `writeTo(com.google.protobuf.CodedOutputStream output)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`computeStringSize, computeStringSizeNoTag, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, internalGetMapField, makeExtensionsImmutable, newBuilderForType, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Field Detail

#### bitField0_

    private int bitField0_

#### STATEMENTHANDLE_FIELD_NUMBER

    public static final int STATEMENTHANDLE_FIELD_NUMBER

See Also:
  Constant Field Values

#### statementHandle_

    private Common.StatementHandle statementHandle_

#### PARAMETER_VALUES_FIELD_NUMBER

    public static final int PARAMETER_VALUES_FIELD_NUMBER

See Also:
  Constant Field Values

#### parameterValues_

    private List<Common.TypedValue> parameterValues_

#### FIRST_FRAME_MAX_SIZE_FIELD_NUMBER

    public static final int FIRST_FRAME_MAX_SIZE_FIELD_NUMBER

See Also:
  Constant Field Values

#### firstFrameMaxSize_

    private long firstFrameMaxSize_

#### HAS_PARAMETER_VALUES_FIELD_NUMBER

    public static final int HAS_PARAMETER_VALUES_FIELD_NUMBER

See Also:
  Constant Field Values

#### hasParameterValues_

    private boolean hasParameterValues_

#### memoizedIsInitialized

    private byte memoizedIsInitialized

#### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

#### DEFAULT_INSTANCE

    private static final Requests.ExecuteRequest DEFAULT_INSTANCE

#### PARSER

    private static final com.google.protobuf.Parser<Requests.ExecuteRequest> PARSER

### Constructor Detail

#### Requests.ExecuteRequest

    private Requests.ExecuteRequest(com.google.protobuf.GeneratedMessageV3.Builder<?> builder)

#### Requests.ExecuteRequest

    private Requests.ExecuteRequest()

#### Requests.ExecuteRequest

    private Requests.ExecuteRequest(com.google.protobuf.CodedInputStream input,
                           com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                             throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### Method Detail

#### getUnknownFields

    public final com.google.protobuf.UnknownFieldSet getUnknownFields()

Specified by:
  `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

#### hasStatementHandle

    public boolean hasStatementHandle()

`optional .StatementHandle statementHandle = 1;`

Specified by:
  `hasStatementHandle` in interface `Requests.ExecuteRequestOrBuilder`

#### getStatementHandle

    public Common.StatementHandle getStatementHandle()

`optional .StatementHandle statementHandle = 1;`

Specified by:
  `getStatementHandle` in interface `Requests.ExecuteRequestOrBuilder`

#### getStatementHandleOrBuilder

    public Common.StatementHandleOrBuilder getStatementHandleOrBuilder()

`optional .StatementHandle statementHandle = 1;`

Specified by:
  `getStatementHandleOrBuilder` in interface `Requests.ExecuteRequestOrBuilder`

#### getParameterValuesList

    public List<Common.TypedValue> getParameterValuesList()

`repeated .TypedValue parameter_values = 2;`

Specified by:
  `getParameterValuesList` in interface `Requests.ExecuteRequestOrBuilder`

#### getParameterValuesOrBuilderList

    public List<? extends Common.TypedValueOrBuilder> getParameterValuesOrBuilderList()

`repeated .TypedValue parameter_values = 2;`

Specified by:
  `getParameterValuesOrBuilderList` in interface `Requests.ExecuteRequestOrBuilder`

#### getParameterValuesCount

    public int getParameterValuesCount()

`repeated .TypedValue parameter_values = 2;`

Specified by:
  `getParameterValuesCount` in interface `Requests.ExecuteRequestOrBuilder`

#### getParameterValues

    public Common.TypedValue getParameterValues(int index)

`repeated .TypedValue parameter_values = 2;`

Specified by:
  `getParameterValues` in interface `Requests.ExecuteRequestOrBuilder`

#### getParameterValuesOrBuilder

    public Common.TypedValueOrBuilder getParameterValuesOrBuilder(int index)

`repeated .TypedValue parameter_values = 2;`

Specified by:
  `getParameterValuesOrBuilder` in interface `Requests.ExecuteRequestOrBuilder`

#### getFirstFrameMaxSize

    public long getFirstFrameMaxSize()

     The maximum number of rows to return in the first Frame

`optional uint64 first_frame_max_size = 3;`

Specified by:
  `getFirstFrameMaxSize` in interface `Requests.ExecuteRequestOrBuilder`

#### getHasParameterValues

    public boolean getHasParameterValues()

`optional bool has_parameter_values = 4;`

Specified by:
  `getHasParameterValues` in interface `Requests.ExecuteRequestOrBuilder`

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

#### writeTo

    public void writeTo(com.google.protobuf.CodedOutputStream output)
                 throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

#### getSerializedSize

    public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

#### equals

    public boolean equals(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

#### parseFrom

    public static Requests.ExecuteRequest parseFrom(com.google.protobuf.ByteString data)
                                             throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Requests.ExecuteRequest parseFrom(com.google.protobuf.ByteString data,
                                    com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                             throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Requests.ExecuteRequest parseFrom(byte[] data)
                                             throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Requests.ExecuteRequest parseFrom(byte[] data,
                                    com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                             throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Requests.ExecuteRequest parseFrom(InputStream input)
                                             throws IOException

Throws:
  `IOException`

#### parseFrom

    public static Requests.ExecuteRequest parseFrom(InputStream input,
                                    com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                             throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static Requests.ExecuteRequest parseDelimitedFrom(InputStream input)
                                                      throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static Requests.ExecuteRequest parseDelimitedFrom(InputStream input,
                                             com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                      throws IOException

Throws:
  `IOException`

#### parseFrom

    public static Requests.ExecuteRequest parseFrom(com.google.protobuf.CodedInputStream input)
                                             throws IOException

Throws:
  `IOException`

#### parseFrom

    public static Requests.ExecuteRequest parseFrom(com.google.protobuf.CodedInputStream input,
                                    com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                             throws IOException

Throws:
  `IOException`

#### newBuilderForType

    public Requests.ExecuteRequest.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

#### newBuilder

    public static Requests.ExecuteRequest.Builder newBuilder()

#### newBuilder

    public static Requests.ExecuteRequest.Builder newBuilder(Requests.ExecuteRequest prototype)

#### toBuilder

    public Requests.ExecuteRequest.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

#### newBuilderForType

    protected Requests.ExecuteRequest.Builder newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstance

    public static Requests.ExecuteRequest getDefaultInstance()

#### parser

    public static com.google.protobuf.Parser<Requests.ExecuteRequest> parser()

#### getParserForType

    public com.google.protobuf.Parser<Requests.ExecuteRequest> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstanceForType

    public Requests.ExecuteRequest getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`